module.exports = function createMenu(navigationData) {

    const parsedData = JSON.parse(navigationData)
    const components = parsedData.components
    const structure = parsedData.structure

    const componentMatching = {
        node: 'div',
        link: 'a',
        button: 'button'
    }

    const createNode = (element) => {
        const type = componentMatching[element.type]
        const node = document.createElement(type)

        // Проверка на ноду
        if (element.type === 'node') {
            // Вставляем дочерние элементы node
            element.children.forEach(elm => {
                node.appendChild(createNode(elm))
            })
        }

        // Проверка на наличие пропсов
        if (element.props) {
            Object.keys(element.props).forEach(atr => {
                if (atr !== 'children') {
                    node.setAttribute(atr, element.props[atr])
                } else {
                    element.props.children.forEach(item => node.innerText = node.innerText + item)
                }
            })
        }

        // Вставляем инлайн стили если они присутствуют
        if (components[element.type]) {
            node.setAttribute('style', components[element.type].style)
        }

        return node
    }

    return structure.map(createNode)
}