const createMenu = require('./createMenu')
const dragDropSave = require('./dragDropSave')
const root = document.querySelector('#app-menu')

const request = {
    'structure': [
        {
            'type': 'node',
            'children': [
                {
                    'type': 'link',
                    'props': {'href': 'go/to/owen-lars', 'children': ['Owen Lars']}
                },
                {
                    'type': 'link',
                    'props': {'href': 'go/to/obi-wan-kenobi', 'children': ['Obi-Wan Kenobi']}
                }
            ]
        },
        {
            'type': 'node',
            'children': [
                {
                    'type': 'link',
                    'props': {'href': 'go/to/mon-mothma', 'children': ['Mon Mothma']}
                },
                {'type': 'button', 'props': {'children': ['Kit Fisto']}}
            ]
        },
        {
            'type': 'node',
            'children': [
                {'type': 'button', 'props': {'children': ['Palpatine']}},
                {
                    'type': 'link',
                    'props': {'href': 'go/to/jango-fett', 'children': ['Jango Fett']}
                }
            ]
        },
        {
            'type': 'node',
            'children': [
                {
                    'type': 'link',
                    'props': {'href': 'go/to/yarael-poof', 'children': ['Yarael Poof']}
                },
                {'type': 'button', 'props': {'children': ['Bib Fortuna']}},
                {'type': 'button', 'props': {'children': ['Nien Nunb']}},
                {'type': 'button', 'props': {'children': ['Dooku']}},
                {'type': 'link', 'props': {'href': 'go/to/watto', 'children': ['Watto']}}
            ]
        }
    ],
    'components': {
        'link': {
            'style': 'color:red;font-size:20px;'
        },
        'button': {
            'style': 'display:block;width:100%;border:none;height:30px;'
        }
    }
}

// Вставляем сформированное DOM дерево в root Элемент
// ==================================================
const render = () => {
    root.innerHTML = ''

    // Вызываем написанную функцию 'createMenu' для формирования массива node элементов
    const nodes = createMenu(JSON.stringify(request))

    nodes.forEach(item => root.appendChild(item))
}
render()
// ==================================================

// Работа с Drag & Drop и кнопкой "Сохранение"
// ==================================================

dragDropSave(request, root)

// ==================================================
